package com.bootdo.data.dao;

import com.bootdo.data.domain.CaDetail;
import com.bootdo.data.domain.CaDetailExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface CaDetailMapper {
    long countByExample(CaDetailExample example);

    int deleteByExample(CaDetailExample example);

    /**
     * delete by primary key
     *
     * @param id primaryKey
     * @return deleteCount
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * insert record to table
     *
     * @param record the record
     * @return insert count
     */
    int insert(CaDetail record);

    /**
     * insert record to table selective
     *
     * @param record the record
     * @return insert count
     */
    int insertSelective(CaDetail record);

    List<CaDetail> selectByExample(CaDetailExample example);

    /**
     * select by primary key
     *
     * @param id primary key
     * @return object by primary key
     */
    CaDetail selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") CaDetail record, @Param("example") CaDetailExample example);

    int updateByExample(@Param("record") CaDetail record, @Param("example") CaDetailExample example);

    /**
     * update record selective
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKeySelective(CaDetail record);

    /**
     * update record
     *
     * @param record the updated record
     * @return update count
     */
    int updateByPrimaryKey(CaDetail record);
}